Bug 6643 - REGRESSION: Tree view repaints lines without erasing them first
Summary: REGRESSION: Tree view repaints lines without erasing them first
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Nobody
URL:
Keywords: InRadar, Regression
Depends on:
Blocks:
 
Reported: 2006-01-17 23:12 PST by mitz
Modified: 2007-04-20 23:34 PDT (History)
2 users (show)

See Also:


Attachments
Screenshot (87.48 KB, image/png)
2006-01-17 23:13 PST, mitz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mitz 2006-01-17 23:12:55 PST
Summary: each time you switch Safari to the foreground with the web inspector open, all the lines above 
the selected element in the tree view are painted over themselves. After a few switches, they become 
brighter and aliased (with darker, sharp shadows).

To reproduce: open the web inspector, select an element in the middle of the tree view, then switch Safari 
to the background and back to the foreground several times (5 are enough to make the bug noticeable).

I just noticed what may be a related problem: when you have an element selected in the tree view and you 
click to select another element, all the elements in between are "double-painted" momentarily as the 
selection changes.
Comment 1 mitz 2006-01-17 23:13:50 PST
Created attachment 5756 [details]
Screenshot
Comment 2 mitz 2007-03-10 11:44:50 PST
The problem has worsened lately. You can now reproduce the double-painting simply by changing the selection in the tree view several times (without making it scroll). It is also noticeable in the highlight.
Comment 3 mitz 2007-03-10 12:17:52 PST
The latest regression happened in the r19843-r19850 range.
Comment 4 Timothy Hatcher 2007-03-10 12:38:36 PST
I am in the process of converting the inspector tree to all HTML, so this will go away soon. Still might be good to fix.
Comment 5 David Kilzer (:ddkilzer) 2007-03-10 12:41:42 PST
Regressions are P1. :(

Comment 6 Mark Rowe (bdash) 2007-03-13 16:20:44 PDT
<rdar://problem/5061017>
Comment 7 mitz 2007-03-15 08:35:44 PDT
(In reply to comment #3)
> The latest regression happened in the r19843-r19850 range.

r19848 (parts landed in r19849 and r19850).
Comment 8 Timothy Hatcher 2007-04-04 11:46:09 PDT
This will be fixed with my changes to make the tree be pure HTML/CSS/JavaScript.

http://trac.webkit.org/projects/webkit/browser/branches/WebInspectorRefresh

I think the main cause of this double paint was the fact that the WebInspectorOutlineView subclass didn't pain an opaque background, and didn't clear before drawing.
Comment 9 Timothy Hatcher 2007-04-20 23:34:42 PDT
This was fixed on the inspector branch and merged to trunk in r20986.